curl --request POST \
--url https://api-staging.stablestack.com/api/payouts/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"currency": "USDC",
"address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"amount": 0.1,
"network": "erc20",
"recipient_name": "John Doe",
"narration": "Payment for invoice #1042"
}
'{
"status": "success",
"data": {
"id": "f3394f78-682b-4d28-9cf6-53858fb8216f",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "EF40X2S02U",
"asset_code": "USDC",
"amount": "100.00000000",
"reference_id": "6b522909-45c9-406d-ac11-b645b79a0202",
"status": "PROCESSING",
"created_at": "2025-05-27T11:27:29.061Z",
"updated_at": "2025-05-27T11:27:29.061Z",
"crypto_transaction_id": null,
"network": "erc20",
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": null,
"withdrawal_recipient_name": "John Doe",
"fee": null,
"balance": "0.00000000",
"reason": "Withdraw to 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"recipient_currency": null,
"recipient_country": null,
"bank_name": null,
"bank_code": null,
"address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"bank_account": null,
"amount_fiat": "0.00000000",
"fiat_reference_id": null,
"narration": "Payment for invoice #1042"
}
}{
"status": "error",
"message": "Error message",
"code": "ERROR_CODE"
}Payouts
Create Wallet Withdrawal
API reference for creating withdrawal payouts to cryptocurrency wallets
POST
/
payouts
/
wallets
curl --request POST \
--url https://api-staging.stablestack.com/api/payouts/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"currency": "USDC",
"address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"amount": 0.1,
"network": "erc20",
"recipient_name": "John Doe",
"narration": "Payment for invoice #1042"
}
'{
"status": "success",
"data": {
"id": "f3394f78-682b-4d28-9cf6-53858fb8216f",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "EF40X2S02U",
"asset_code": "USDC",
"amount": "100.00000000",
"reference_id": "6b522909-45c9-406d-ac11-b645b79a0202",
"status": "PROCESSING",
"created_at": "2025-05-27T11:27:29.061Z",
"updated_at": "2025-05-27T11:27:29.061Z",
"crypto_transaction_id": null,
"network": "erc20",
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": null,
"withdrawal_recipient_name": "John Doe",
"fee": null,
"balance": "0.00000000",
"reason": "Withdraw to 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"recipient_currency": null,
"recipient_country": null,
"bank_name": null,
"bank_code": null,
"address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"bank_account": null,
"amount_fiat": "0.00000000",
"fiat_reference_id": null,
"narration": "Payment for invoice #1042"
}
}{
"status": "error",
"message": "Error message",
"code": "ERROR_CODE"
}Creates a withdrawal payout to a cryptocurrency wallet. Supports both customer and merchant withdrawals.
Key Features:
- Supports multiple stablecoin and networks
- Handles both customer and merchant payouts
- Includes recipient verification details
Request Body:
Wallet Withdrawal:{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", //optional
"currency": "USDC",
"address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
"amount": 0.1,
"network": "erc20",
"recipient_name": "John Doe"
}
Headers
Body
application/json
Available options:
USDC Example:
"USDC"
Example:
"0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3"
Example:
0.1
Available options:
erc20, polygon Example:
"erc20"
Required for customer withdrawals
Example:
"85b148ab-3f6b-4d55-917f-3c8de668a48e"
Example:
"John Doe"
Optional note or reference for the transaction
Example:
"Payment for invoice #1042"